clang 8.0.0

Static Public Member Functions | Friends | List of all members
clang::StoredDeclsMap Class Reference

`#include "clang/AST/DeclContextInternals.h"`

Inheritance diagram for clang::StoredDeclsMap:
[legend]
Collaboration diagram for clang::StoredDeclsMap:
[legend]

## Static Public Member Functions
static void | DestroyAll (StoredDeclsMap *Map, bool Dependent)

## Friends
class | ASTContext
class | DeclContext

## Detailed Description

Definition at line 240 of file DeclContextInternals.h.

## Member Function Documentation

## ◆ DestroyAll()

void StoredDeclsMap::DestroyAll | ( | StoredDeclsMap * | Map,
|  | bool | Dependent
| ) |  |
| static

Definition at line 1929 of file DeclBase.cpp.

Referenced by clang::DeclContext::using_directives().

## Friends And Related Function Documentation

## ◆ ASTContext

friend class ASTContext
| friend

Definition at line 246 of file DeclContextInternals.h.

## ◆ DeclContext

friend class DeclContext
| friend

Definition at line 247 of file DeclContextInternals.h.

The documentation for this class was generated from the following files:

- include/clang/AST/DeclContextInternals.h
- lib/AST/DeclBase.cpp